IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_257_COCUK_DIYABET_BILDIRIM_KAYIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_257_COCUK_DIYABET_BILDIRIM_KAYIT
GO

CREATE PROCEDURE [dbo].[SPUSS_257_COCUK_DIYABET_BILDIRIM_KAYIT] 
	@HDOSYAID INT=0,
	@HMUAYENEID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_257_COCUK_DIYABET_BILDIRIM_KAYIT 165788,115370,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER


SELECT 
 USS257.ID USSDIGER_ID
,USS257.HDOSYAID
,USS257.HMUAYENEID
,USS257.HKIMLIKID
,USS257.HYATISID,

(SELECT TOP 1 ICDKOD FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) AS BIRLIKTE_GORULEN_EK_HASTALIKLAR_ID,
(SELECT TOP 1 (SELECT TICD.ICDADI FROM TICD WHERE TICD.ICDKOD=HDOSYAICD.ICDKOD) FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) AS BIRLIKTE_GORULEN_EK_HASTALIKLAR_ADI,

ILK_TANI_TARIHI AS ILK_TANI_TARIHI,

--DIYABET_TIPI [nvarchar](5) NULL,
USS257.DIYABET_TIPI AS DIYABET_TIPI_ID,
TDIYABET_TIPI.AD AS DIYABET_TIPI_ADI,

KIZ_COCUKLARDA_MENARS_YASI AS KIZ_COCUKLARDA_MENARS_YASI,

--BEYIN_ODEMI [nvarchar](5) NULL,
USS257.BEYIN_ODEMI AS BEYIN_ODEMI_ID,
TBEYIN_ODEMI.AD AS BEYIN_ODEMI_ADI,

--DIYABET_ILAC_TEDAVI_SEKLI [nvarchar](5) NULL,
USS257.DIYABET_ILAC_TEDAVI_SEKLI AS DIYABET_ILAC_TEDAVI_SEKLI_ID,
TDIYABET_ILAC_TEDAVI_SEKLI.AD AS DIYABET_ILAC_TEDAVI_SEKLI_ADI,

--KETOASIDOZ_SON_3_AY [nvarchar](5) NULL,
USS257.KETOASIDOZ_SON_3_AY AS KETOASIDOZ_SON_3_AY_ID,
TKETOASIDOZ_SON_3_AY.AD AS KETOASIDOZ_SON_3_AY_ADI,

--DIYABET_EGITIMI [nvarchar](5) NULL,
USS257.DIYABET_EGITIMI AS DIYABET_EGITIMI_ID,
TDIYABET_EGITIMI.AD AS DIYABET_EGITIMI_ADI,

--TIROID_MUAYENESI [nvarchar](5) NULL,
USS257.TIROID_MUAYENESI AS TIROID_MUAYENESI_ID,
TTIROID_MUAYENESI.AD AS TIROID_MUAYENESI_ADI,

--DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI [nvarchar](5) NULL,
USS257.DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI AS DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI_ID,
TDIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI.AD AS DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI_ADI,

--DIYABETLI_HASTA_AILE_OYKUSU [nvarchar](5) NULL,
USS257.DIYABETLI_HASTA_AILE_OYKUSU AS DIYABETLI_HASTA_AILE_OYKUSU_ID,
TDIYABETLI_HASTA_AILE_OYKUSU.AD AS DIYABETLI_HASTA_AILE_OYKUSU_ADI,

--SIKAYET [nvarchar](5) NULL,
USS257.SIKAYET AS SIKAYET_ID,
TSIKAYET.AD AS SIKAYET_ADI,

SIKAYETIN_SURESI AS SIKAYETIN_SURESI,
BOY AS BOY,
KILO AS KILO,

--AXILLER_KILLANMA [nvarchar](5) NULL,
USS257.AXILLER_KILLANMA AS AXILLER_KILLANMA_ID,
TAXILLER_KILLANMA.AD AS AXILLER_KILLANMA_ADI,

--PUBIK_KILLANMA [nvarchar](5) NULL,
USS257.PUBIK_KILLANMA AS PUBIK_KILLANMA_ID,
TPUBIK_KILLANMA.AD AS PUBIK_KILLANMA_ADI,

--TANNER_EVRE [nvarchar](5) NULL,
USS257.TANNER_EVRE AS TANNER_EVRE_ID,
TTANNER_EVRE.AD AS TANNER_EVRE_ADI,

--MEME_EVRE [nvarchar](5) NULL,
USS257.MEME_EVRE AS MEME_EVRE_ID,
TMEME_EVRE.AD AS MEME_EVRE_ADI,

TESTIS_VOLUM_SAG AS TESTIS_VOLUM_SAG,
TESTIS_VOLUM_SOL AS TESTIS_VOLUM_SOL,

--ESLIK_EDEN_BASKA_HASTALIK [nvarchar](5) NULL,
USS257.ESLIK_EDEN_BASKA_HASTALIK AS ESLIK_EDEN_BASKA_HASTALIK_ID,
TESLIK_EDEN_BASKA_HASTALIK.AD AS ESLIK_EDEN_BASKA_HASTALIK_ADI,

ESLIK_EDEN_BASKA_HASTALIK_TANI_TARIHI AS ESLIK_EDEN_BASKA_HASTALIK_TANI_TARIHI,

HDOSYA.SUBEID HDOSYA_SUBEID
	  ,SUBELER.SUBEADI SUBELER_SUBEADI
	  ,HDOSYA.SNOTAKIPNO HDOSYA_SNOTAKIPNO
	  ,		 ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

		CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'10000038' 
		ELSE
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

			CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
			'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK

INTO #TMPUSSDIGER 

FROM USS257_COCUK_DIYABET_BILDIRIM AS USS257
INNER JOIN HDOSYA ON HDOSYA.HDOSYAID = USS257.HDOSYAID
LEFT JOIN HKIMLIK ON HKIMLIK.HKIMLIKID=HDOSYA.HKIMLIKID
LEFT JOIN	SUBELER ON SUBELER.SUBEID=HDOSYA.SUBEID

LEFT JOIN 
(
SELECT 'TIP-1' AS AD, 1 AS Id
UNION ALL
SELECT 'TIP-2', 2
UNION ALL
SELECT 'MODY-5', 3
UNION ALL
SELECT 'DIĞER', 4
) TDIYABET_TIPI ON TDIYABET_TIPI.ID=USS257.DIYABET_TIPI

LEFT JOIN 
(
SELECT 'VAR' AS AD, 1 AS Id
UNION ALL
SELECT 'YOK', 2
) TBEYIN_ODEMI ON TBEYIN_ODEMI.ID=USS257.BEYIN_ODEMI

LEFT JOIN
(
SELECT 'İNSÜLİN' AS AD, 1 AS Id
UNION ALL
SELECT 'ORAL ANTİDİYABETİK', 2
UNION ALL
SELECT 'İLAÇLI TEDAVİ VERİLMEDİ', 3
UNION ALL
SELECT 'KONVANSIYONEL', 4
UNION ALL
SELECT 'POMPA', 5
) TDIYABET_ILAC_TEDAVI_SEKLI ON TDIYABET_ILAC_TEDAVI_SEKLI.ID = USS257.DIYABET_ILAC_TEDAVI_SEKLI

LEFT JOIN 
(
SELECT 'VAR' AS AD, 1 AS Id
UNION ALL
SELECT 'YOK', 2
) TKETOASIDOZ_SON_3_AY ON TKETOASIDOZ_SON_3_AY.ID=USS257.KETOASIDOZ_SON_3_AY

LEFT JOIN 
(
SELECT 'EVET' AS AD, 1 AS Id
UNION ALL
SELECT 'HAYIR', 2
) TDIYABET_EGITIMI ON TDIYABET_EGITIMI.ID=USS257.DIYABET_EGITIMI

LEFT JOIN
(
SELECT 'TİROİD ELE GELMİYOR' AS AD, 1 AS Id
UNION ALL
SELECT 'TİROİD NODÜLER ELE GELİYOR', 2
UNION ALL
SELECT 'TİROİD DİFFÜZ ELE GELİYOR', 3
UNION ALL
SELECT 'BELİRTİLMEDİ', 99
) TTIROID_MUAYENESI ON TTIROID_MUAYENESI.ID = USS257.TIROID_MUAYENESI

LEFT JOIN
(
SELECT 'HASTA DİYETİNE UYMUYOR' AS AD, 1 AS Id
UNION ALL
SELECT 'HASTA DİYETİNE UYUYOR', 2
UNION ALL
SELECT 'DEĞIŞIM LISTESI', 3
UNION ALL
SELECT 'KARBONHIRDAT SAYIMI', 4
UNION ALL
SELECT 'YOK', 97
) TDIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI ON TDIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI.ID = USS257.DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI


LEFT JOIN
(
SELECT 'ANNE (DIYABET ÖYKÜSÜ)' AS AD, 1 AS Id
UNION ALL
SELECT 'BABA (DİYABET ÖYKÜSÜ)', 2
UNION ALL
SELECT 'KARDEŞ (DİYABET ÖYKÜSÜ)', 3
UNION ALL
SELECT 'UZAK AKRABALAR (DİYABET ÖYKÜSÜ)', 4
UNION ALL
SELECT '2. DERECE AKRABALAR (DİYABET ÖYKÜSÜ)', 5
UNION ALL
SELECT 'AİLEDE KANSER ÖYKÜSÜ', 6
UNION ALL
SELECT 'AİLE OBEZİTE ÖYKÜSÜ', 7
UNION ALL
SELECT 'AİLEDE KARDİYO VASKÜLER HASTALIK ÖYKÜSÜ', 8
UNION ALL
SELECT 'AİLEDE BÖBREK HASTALIĞI ÖYKÜSÜ', 9
UNION ALL
SELECT 'YOK', 97
UNION ALL
SELECT 'BELİRTİLMEDİ', 99
) TDIYABETLI_HASTA_AILE_OYKUSU ON TDIYABETLI_HASTA_AILE_OYKUSU.ID = USS257.DIYABETLI_HASTA_AILE_OYKUSU

LEFT JOIN
(
SELECT 'POLIÜRI' AS AD, 1 AS Id
UNION ALL
SELECT 'POLIFAJI', 2
UNION ALL
SELECT 'VAJINIT', 3
UNION ALL
SELECT 'KARIN AĞRISI', 4
UNION ALL
SELECT 'KABIZLIK', 5
UNION ALL
SELECT 'POLIDIPSI', 6
UNION ALL
SELECT 'KILO KAYBI', 7
UNION ALL
SELECT 'HALSIZLIK', 8
UNION ALL
SELECT 'GECE IDRAR KAÇIRMA / NOKTÜRI', 9
UNION ALL
SELECT 'MANTAR ENFEKSIYONU', 10
UNION ALL
SELECT 'KUSMA', 11
UNION ALL
SELECT 'SOLUNUM SIKINTISI', 12
) TSIKAYET ON TSIKAYET.ID = USS257.SIKAYET

LEFT JOIN
(
SELECT 'VAR' AS AD, 1 AS Id
UNION ALL
SELECT 'YOK', 2
) TAXILLER_KILLANMA ON TAXILLER_KILLANMA.ID = USS257.AXILLER_KILLANMA

LEFT JOIN
(
SELECT 'VAR' AS AD, 1 AS Id
UNION ALL
SELECT 'YOK', 2
) TPUBIK_KILLANMA ON TPUBIK_KILLANMA.ID = USS257.PUBIK_KILLANMA

LEFT JOIN
(
SELECT 'EVRE-1' AS AD, 1 AS Id
UNION ALL
SELECT 'EVRE-2', 2
UNION ALL
SELECT 'EVRE-3', 3
UNION ALL
SELECT 'EVRE-4', 4
UNION ALL
SELECT 'EVRE-5', 5
) TTANNER_EVRE ON TTANNER_EVRE.ID = USS257.TANNER_EVRE

LEFT JOIN
(
SELECT 'EVRE-1' AS AD, 1 AS Id
UNION ALL
SELECT 'EVRE-2', 2
UNION ALL
SELECT 'EVRE-3', 3
UNION ALL
SELECT 'EVRE-4', 4
UNION ALL
SELECT 'EVRE-5', 5
) TMEME_EVRE ON TMEME_EVRE.ID = USS257.MEME_EVRE

LEFT JOIN
(
SELECT 'ÇÖLYAK' AS AD, 1 AS Id
UNION ALL
SELECT 'HASHIMATO TIROIDITI', 2
UNION ALL
SELECT 'GRAVES HASTALIĞI', 3
UNION ALL
SELECT 'YOK', 9
) TESLIK_EDEN_BASKA_HASTALIK ON TESLIK_EDEN_BASKA_HASTALIK.ID = USS257.ESLIK_EDEN_BASKA_HASTALIK


WHERE USS257.HMUAYENEID= @HMUAYENEID AND USS257.HDOSYAID = @HDOSYAID 


	IF (SELECT COUNT(*) FROM #TMPUSSDIGER) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Gönderilecek kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'dosyasının şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine kayIT yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPUSSDIGER
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURUSSDIGERID INT
		DECLARE CURUSSDIGER CURSOR FOR SELECT USSDIGER_ID FROM #TMPUSSDIGER
		OPEN CURUSSDIGER
		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

		
					 
					IF EXISTS(SELECT USSDIGER_ID FROM #TMPUSSDIGER WHERE  ISNULL(USSDIGER_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Kayıt seçilmemiş. '


					IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE USSDIGER_ID=@CURUSSDIGERID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(
									
										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '257' AS 'messageType/@code',
										   'Çocuk Diyabet Bildirim' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 --'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 SNOKTSFIRMAKODU as 'firmaKodu/@value' ,
												 (
													SELECT 
														(
														   SELECT 
															  (
																 SELECT 
																   
																   --<ILK_TANI_TARIHI value="ILK_TANI_TARIHI" />
																   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),ILK_TANI_TARIHI,120),' ',''),'-',''),':',''),12)	 AS 'ILK_TANI_TARIHI/@value',
																        

														  --      <DIYABET_TIPI version="1" codeSystemGuid="35ae0624-4f4d-4ac0-886e-2687f017135b" code="Code" value="DIYABET_TIPI" />
														  '1' AS 'DIYABET_TIPI/@version',
																		'35ae0624-4f4d-4ac0-886e-2687f017135b' AS 'DIYABET_TIPI/@codeSystemGuid',
																			ISNULL(DIYABET_TIPI_ID,'') AS 'DIYABET_TIPI/@code',
																			ISNULL(DIYABET_TIPI_ADI,'') AS 'DIYABET_TIPI/@value',

														  --      <KIZ_COCUKLARDA_MENARS_YASI value="KIZ_COCUKLARDA_MENARS_YASI" />
														  ISNULL(KIZ_COCUKLARDA_MENARS_YASI,'') AS 'KIZ_COCUKLARDA_MENARS_YASI/@value',
        
																--<BEYIN_ODEMI version="1" codeSystemGuid="9ea880f3-b61b-4c6f-a691-c0f2d9fd6d83" code="Code" value="BEYIN_ODEMI" />
																'1' AS 'BEYIN_ODEMI/@version',
																		'9ea880f3-b61b-4c6f-a691-c0f2d9fd6d83' AS 'BEYIN_ODEMI/@codeSystemGuid',
																			ISNULL(BEYIN_ODEMI_ID,'') AS 'BEYIN_ODEMI/@code',
																			ISNULL(BEYIN_ODEMI_ADI,'') AS 'BEYIN_ODEMI/@value',
        
																--<DIYABET_ILAC_TEDAVI_SEKLI version="1" codeSystemGuid="72f8fe9d-cdfe-4d8d-b154-66e0e706f06a" code="Code" value="DIYABET_ILAC_TEDAVI_SEKLI" />
																'1' AS 'DIYABET_ILAC_TEDAVI_SEKLI/@version',
																		'72f8fe9d-cdfe-4d8d-b154-66e0e706f06a' AS 'DIYABET_ILAC_TEDAVI_SEKLI/@codeSystemGuid',
																			ISNULL(DIYABET_ILAC_TEDAVI_SEKLI_ID,'') AS 'DIYABET_ILAC_TEDAVI_SEKLI/@code',
																			ISNULL(DIYABET_ILAC_TEDAVI_SEKLI_ADI,'') AS 'DIYABET_ILAC_TEDAVI_SEKLI/@value',
        
																--<KETOASIDOZ_SON_3_AY version="1" codeSystemGuid="9ea880f3-b61b-4c6f-a691-c0f2d9fd6d83" code="Code" value="KETOASIDOZ_SON_3_AY" />
																'1' AS 'KETOASIDOZ_SON_3_AY/@version',
																		'9ea880f3-b61b-4c6f-a691-c0f2d9fd6d83' AS 'KETOASIDOZ_SON_3_AY/@codeSystemGuid',
																			ISNULL(KETOASIDOZ_SON_3_AY_ID,'') AS 'KETOASIDOZ_SON_3_AY/@code',
																			ISNULL(KETOASIDOZ_SON_3_AY_ADI,'') AS 'KETOASIDOZ_SON_3_AY/@value',
        
																--<DIYABET_EGITIMI version="1" codeSystemGuid="f007d4ed-302d-4b7a-897d-48240924bb2d" code="Code" value="DIYABET_EGITIMI" />
																'1' AS 'DIYABET_EGITIMI/@version',
																		'f007d4ed-302d-4b7a-897d-48240924bb2d' AS 'DIYABET_EGITIMI/@codeSystemGuid',
																			ISNULL(DIYABET_EGITIMI_ID,'') AS 'DIYABET_EGITIMI/@code',
																			ISNULL(DIYABET_EGITIMI_ADI,'') AS 'DIYABET_EGITIMI/@value',
        
																--<TIROID_MUAYENESI version="1" codeSystemGuid="1683b32e-0668-4c28-97b7-8d3245ae2f4d" code="Code" value="TIROID_MUAYENESI" />
																'1' AS 'TIROID_MUAYENESI/@version',
																		'1683b32e-0668-4c28-97b7-8d3245ae2f4d' AS 'TIROID_MUAYENESI/@codeSystemGuid',
																			ISNULL(TIROID_MUAYENESI_ID,'') AS 'TIROID_MUAYENESI/@code',
																			ISNULL(TIROID_MUAYENESI_ADI,'') AS 'TIROID_MUAYENESI/@value',
        
																--<DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI version="1" codeSystemGuid="8c0e3f06-e381-4415-9446-a6251d655f91" code="Code" value="DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI" />
																'1' AS 'DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI/@version',
																		'8c0e3f06-e381-4415-9446-a6251d655f91' AS 'DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI/@codeSystemGuid',
																			ISNULL(DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI_ID,'') AS 'DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI/@code',
																			ISNULL(DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI_ADI,'') AS 'DIYET_TEDAVISI_TIBBI_BESLENME_TEDAVISI/@value',
        
																--<DIYABETLI_HASTA_AILE_OYKUSU version="1" codeSystemGuid="8cf96225-09f2-4e66-b1d3-5de56219a981" code="Code" value="DIYABETLI_HASTA_AILE_OYKUSU" />
																'1' AS 'DIYABETLI_HASTA_AILE_OYKUSU/@version',
																		'8cf96225-09f2-4e66-b1d3-5de56219a981' AS 'DIYABETLI_HASTA_AILE_OYKUSU/@codeSystemGuid',
																			ISNULL(DIYABETLI_HASTA_AILE_OYKUSU_ID,'') AS 'DIYABETLI_HASTA_AILE_OYKUSU/@code',
																			ISNULL(DIYABETLI_HASTA_AILE_OYKUSU_ADI,'') AS 'DIYABETLI_HASTA_AILE_OYKUSU/@value',


															--<DIYABET_SIKAYET_BILGISI>
													  --          <SIKAYET version="1" codeSystemGuid="9584a55a-81c4-4925-857e-659a570012eb" code="Code" value="SIKAYET" />
													  --          <SIKAYETIN_SURESI value="SIKAYETIN_SURESI" />
													  --      </DIYABET_SIKAYET_BILGISI>														

															

															(SELECT 
																		'1' AS 'SIKAYET/@version',
																		'9584a55a-81c4-4925-857e-659a570012eb'   AS 'SIKAYET/@codeSystemGuid',
																			ISNULL(SIKAYET_ID,'')  AS 'SIKAYET/@code',
																			ISNULL(SIKAYET_ADI,'') AS 'SIKAYET/@value',																		

																		
																			ISNULL(SIKAYETIN_SURESI,'') AS 'SIKAYETIN_SURESI/@value'

																			WHERE ISNULL(SIKAYET_ID, '')<>''

																			FOR XML PATH('DIYABET_SIKAYET_BILGISI'),TYPE),
														

															--<BOY_KILO_BILGILERI>
													  --          <BOY value="BOY" />
													  --          <KILO value="KILO" />
													  --      </BOY_KILO_BILGILERI>
														(SELECT 
																		
															ISNULL(BOY,'') AS 'BOY/@value',
															ISNULL(KILO,'') AS 'KILO/@value'																	
																		
															FOR XML PATH('BOY_KILO_BILGILERI'),TYPE),


															--<KILLANMA_DURUM_BILGILERI>
													  --          <AXILLER_KILLANMA version="1" codeSystemGuid="9ea880f3-b61b-4c6f-a691-c0f2d9fd6d83" code="Code" value="AXILLER_KILLANMA" />
													  --          <PUBIK_KILLANMA version="1" codeSystemGuid="9ea880f3-b61b-4c6f-a691-c0f2d9fd6d83" code="Code" value="PUBIK_KILLANMA" />
													  --      </KILLANMA_DURUM_BILGILERI>

													  (SELECT 
																		'1' AS 'AXILLER_KILLANMA/@version',
																		'9ea880f3-b61b-4c6f-a691-c0f2d9fd6d83'   AS 'AXILLER_KILLANMA/@codeSystemGuid',
																			ISNULL(AXILLER_KILLANMA_ID,'')  AS 'AXILLER_KILLANMA/@code',
																			ISNULL(AXILLER_KILLANMA_ADI,'') AS 'AXILLER_KILLANMA/@value',																		

																		
																			'1' AS 'PUBIK_KILLANMA/@version',
																		'9ea880f3-b61b-4c6f-a691-c0f2d9fd6d83'   AS 'PUBIK_KILLANMA/@codeSystemGuid',
																			ISNULL(PUBIK_KILLANMA_ID,'')  AS 'PUBIK_KILLANMA/@code',
																			ISNULL(PUBIK_KILLANMA_ADI,'') AS 'PUBIK_KILLANMA/@value'																		

																			FOR XML PATH('KILLANMA_DURUM_BILGILERI'),TYPE),

														--<DIYABET_EVRE_BILGILERI>
												  --          <TANNER_EVRE version="1" codeSystemGuid="8aff5e1b-81ac-4354-9fdf-ce206a7c4f13" code="Code" value="TANNER_EVRE" />
												  --          <MEME_EVRE version="1" codeSystemGuid="8aff5e1b-81ac-4354-9fdf-ce206a7c4f13" code="Code" value="MEME_EVRE" />
												  --      </DIYABET_EVRE_BILGILERI>

												   (SELECT 
																		'1' AS 'TANNER_EVRE/@version',
																		'8aff5e1b-81ac-4354-9fdf-ce206a7c4f13'   AS 'TANNER_EVRE/@codeSystemGuid',
																			ISNULL(TANNER_EVRE_ID,'')  AS 'TANNER_EVRE/@code',
																			ISNULL(TANNER_EVRE_ADI,'') AS 'TANNER_EVRE/@value',																		

																		
																			'1' AS 'MEME_EVRE/@version',
																		'8aff5e1b-81ac-4354-9fdf-ce206a7c4f13'   AS 'MEME_EVRE/@codeSystemGuid',
																			ISNULL(MEME_EVRE_ID,'')  AS 'MEME_EVRE/@code',
																			ISNULL(MEME_EVRE_ADI,'') AS 'MEME_EVRE/@value'																		

																			FOR XML PATH('DIYABET_EVRE_BILGILERI'),TYPE),

														--<TESTIS_VOLUM_BILGILERI>
												  --          <TESTIS_VOLUM_SAG value="TESTIS_VOLUM_SAG" />
												  --          <TESTIS_VOLUM_SOL value="TESTIS_VOLUM_SOL" />
												  --      </TESTIS_VOLUM_BILGILERI>

												  (SELECT 
																		
															ISNULL(TESTIS_VOLUM_SAG,'') AS 'TESTIS_VOLUM_SAG/@value',
															ISNULL(TESTIS_VOLUM_SOL,'') AS 'TESTIS_VOLUM_SOL/@value'																	
																		
															FOR XML PATH('TESTIS_VOLUM_BILGILERI'),TYPE),


														--<ESLIK_EDEN_HASTALIK_BILGILERI>
												  --          <ESLIK_EDEN_BASKA_HASTALIK version="1" codeSystemGuid="94f19f91-44ed-4bf7-beed-de14090172d9" code="Code" value="ESLIK_EDEN_BASKA_HASTALIK" />
												  --          <ESLIK_EDEN_BASKA_HASTALIK_TANI_TARIHI value="ESLIK_EDEN_BASKA_HASTALIK_TANI_TARIHI" />
												  --      </ESLIK_EDEN_HASTALIK_BILGILERI>

												  (SELECT 
																		'1' AS 'ESLIK_EDEN_BASKA_HASTALIK/@version',
																		'94f19f91-44ed-4bf7-beed-de14090172d9'   AS 'ESLIK_EDEN_BASKA_HASTALIK/@codeSystemGuid',
																			ISNULL(ESLIK_EDEN_BASKA_HASTALIK_ID,'')  AS 'ESLIK_EDEN_BASKA_HASTALIK/@code',
																			ISNULL(ESLIK_EDEN_BASKA_HASTALIK_ADI,'') AS 'ESLIK_EDEN_BASKA_HASTALIK/@value',																		

																		
																		LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),ESLIK_EDEN_BASKA_HASTALIK_TANI_TARIHI,120),' ',''),'-',''),':',''),12)	 AS 'ESLIK_EDEN_BASKA_HASTALIK_TANI_TARIHI/@value'																		
																		WHERE ISNULL(ESLIK_EDEN_BASKA_HASTALIK_ID, '')<>''

																			FOR XML PATH('ESLIK_EDEN_HASTALIK_BILGILERI'),TYPE)
																			
 		
																FROM #TMPUSSDIGER
																
																FOR XML PATH(''),TYPE
															)
														FOR XML PATH('COCUK_DIYABET_BILDIRIM'),TYPE
													),					
													   (
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPUSSDIGER WITH(NOLOCK)
										   WHERE USSDIGER_ID = @CURUSSDIGERID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURUSSDIGERID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURUSSDIGER
		DEALLOCATE CURUSSDIGER

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm KAYITLAR zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURUSSDIGERID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER

	

	SELECT * FROM @goNDERIMTABLOSU


END
